Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.multipart.cos
Class CosMultipartHttpServletRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.springframework.web.multipart.support.AbstractMultipartHttpServletRequest
                  org.springframework.web.multipart.cos.CosMultipartHttpServletRequest

All Implemented Interfaces:
  HttpServletRequest, ServletRequest, MultipartHttpServletRequest

    public class CosMultipartHttpServletRequest

extends AbstractMultipartHttpServletRequest

MultipartHttpServletRequest implementation for Jason Hunter's COS. Wraps a COS MultipartRequest with Spring MultipartFile instances.

Not intended for direct application usage. Application code can cast to this implementation to access the underlying COS MultipartRequest, if it ever needs to.

Since:
  06.10.2003
Author:
  Juergen Hoeller
See Also:
  `CosMultipartResolver`, `MultipartRequest`

Field Summary
`protected static Log` | `logger`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`protected` | `CosMultipartHttpServletRequest(HttpServletRequest request, com.oreilly.servlet.MultipartRequest multipartRequest)` Wrap the given HttpServletRequest in a MultipartHttpServletRequest.

Method Summary
`com.oreilly.servlet.MultipartRequest` | `getMultipartRequest()` Return the underlying `com.oreilly.servlet.MultipartRequest` instance.
`String` | `getParameter(String name)`
`Map` | `getParameterMap()`
`Enumeration` | `getParameterNames()`
`String[]` | `getParameterValues(String name)`

Methods inherited from class org.springframework.web.multipart.support.AbstractMultipartHttpServletRequest
`getFile, getFileMap, getFileNames, setMultipartFiles`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.http.HttpServletRequest
`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Field Detail

### logger

    protected static final Log logger

Constructor Detail

### CosMultipartHttpServletRequest

    protected CosMultipartHttpServletRequest(HttpServletRequest request,
                                             com.oreilly.servlet.MultipartRequest multipartRequest)

  Wrap the given HttpServletRequest in a MultipartHttpServletRequest.

  Parameters:
    `request` - the servlet request to wrap
    `multipartRequest` - the COS multipart request to wrap

Method Detail

### getMultipartRequest

    public com.oreilly.servlet.MultipartRequest getMultipartRequest()

  Return the underlying `com.oreilly.servlet.MultipartRequest` instance. There is hardly any need to access this.

### getParameterNames

    public Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `ServletRequest`
  Overrides:
    `getParameterNames` in class `ServletRequestWrapper`

### getParameter

    public String getParameter(String name)

  Specified by:
    `getParameter` in interface `ServletRequest`
  Overrides:
    `getParameter` in class `ServletRequestWrapper`

### getParameterValues

    public String[] getParameterValues(String name)

  Specified by:
    `getParameterValues` in interface `ServletRequest`
  Overrides:
    `getParameterValues` in class `ServletRequestWrapper`

### getParameterMap

    public Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `ServletRequest`
  Overrides:
    `getParameterMap` in class `ServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.